# DES (Data Exchange Server) documentation

The DES software, implemented entirely by authors at the Center for Sensing Solutions at [**Eurac research**](http://www.eurac.edu), is a standalone application
to enable the concurrent execution of tasks and data transfers from and to different systems by means of a set of XML Processor configuration files. It has been primarily 
developed to fit the requirements of the EURAC receiving station processing chain and SDI Infrastructure here at EURAC Research where big amounts of data need to be
processed and transferred from system to system or delivered to some end users. The DES implements a concurrent, multi-threaded mechanism to transfer different kind
of data in *PUSH* and *GET* mode using standard protocols like *HTTP, SFTP, FTP, SSH*. However, the DES may be seen as a general, multi-tasking application that can execute
concurrently configurable tasks or jobs implemented in dedicated plug-ins or scripts. The basic concept behind the DES is that data is organized in a hierarchical
structure that reflects a *$AOI/$PROCESSOR* scheme and that Events or Tasks are triggered by files filtered with regular expressions.


**Features:**

https://gitlab.inf.unibz.it/css-public/des_documentation/blob/master/Features.md
 
 
 
**Configuration:**

https://gitlab.inf.unibz.it/css-public/des_documentation/blob/master/Configurations.md
 
 
 
**Conventions:**

https://gitlab.inf.unibz.it/css-public/des_documentation/blob/master/Conventions.md
 
 
  
**DES Processors:**

https://gitlab.inf.unibz.it/css-public/des_documentation/blob/master/Processors.md

Example:

This Processor definition in xml format defines and implements Data Processing, Metadata Generation and Data Feeding into an SDI

https://gitlab.inf.unibz.it/css-public/des_documentation/blob/master/examples/EURAC_RADBEAM_P.processor_config.xml
 
 

**DES Plugins:**

https://gitlab.inf.unibz.it/css-public/des_documentation/blob/master/Plugins.md
 
 
  
**Latest release:** DES 1.7

## Version history ##


| Version | Date | Changes | Authors |
| :-----------: | :------: | :------------: | :-----------: |
| V0.1       | 23.06.2009   | Implementation        | armin.costa@eurac.edu       |
| V1.0       | 01.05.2010   | Implementation        | armin.costa@eurac.edu     |
| V1.5       | 01.09.2015   | Implementation        | armin.costa@eurac.edu      |
| V1.6       | 24.02.2017   | Documentation update  | armin.costa@eurac.edu, bartolomeo.ventura@eurac.edu      |
| V1.7       | 29.03.2019   | Implementation        | armin.costa@eurac.edu      |
| V1.7       | 18.04.2019   | Documentation migration  | armin.costa@eurac.edu      |
| V1.7       | 23.04.2019   | Documentation update  | armin.costa@eurac.edu      |

